Insertion champ dynamique en LISP [Fermé]

Signaler
-
Bonjour

Je souhaite insérer un bloc B qui a comme attribut REP. Cet attribut doit être en lien avec un autre bloc A. Lorsque je modifier l'attribut du bloc A, l'attribut du bloc B doit ce modifier automatiquement. Pour ce faire j'ai crée un LISP. Mais j'ai une erreur que je ne trouve pas. le message d'erreur est le suivant :

; erreur: type d'argument incorrect: lentityp nil

le programme LISP est le suivant


(defun c:repérage ()

(setq obj (vlax-ename->vla-object ent))
(setq id (vla-get-ObjectID obj))

; Attribut numéro
(setq REP (strcat "%<\\AcObjProp Object(%<\\_ObjId "(itoa id) ">%).TextString\>%"))

; point d'insertion du bloc
(setq insertion (getpoint"\nSpécifiez le point d'insertion de la nomenclature: "))

; insertion du bloc
(Command "-inserer" "Pastille-repère" insertion 1 1 0 REP "")


);fin defun